bech32 0.1.1

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new62

Bech32

pub package

An implementation of the BIP173 spec for Segwit Bech32 address format.

Examples

  Segwit address = segwit.decode("bc1pw508d6qejxtdg4y5r3zarvary0c5xw7kw508d6qejxtdg4y5r3zarvary0c5xw7k7grplx");
  print(address.scriptPubKey);
  // => 5128751e76e8199196d454941c45d1b3a323f1433bd6751e76e8199196d454941c45d1b3a323f1433bd6
  print(address.version);
  // => 1

Exceptions

The specification defines a myriad of cases in which decoding and encoding should fail. Please make sure your code catches all the relevant exception defined in lib/exceptions.dart.

Installing

Add it to your pubspec.yaml:

dependencies:
  bech32: any

Licence overview

All files in this repository fall under the license specified in COPYING. The project is licensed as AGPL with a lesser clause. It may be used within a proprietary project, but the core library and any changes to it must be published online. Source code for this library must always remain free for everybody to access.

Thanks

v0.1.1

  • Add example
  • Add test demontrating using a public key to generate a P2WPKH and P2WSH address

v0.1.0

  • Initial release

example/main.dart

import 'package:hex/hex.dart';
import 'package:bech32/bech32.dart';

void main() {
  Segwit address = segwit.decode(
      "bc1pw508d6qejxtdg4y5r3zarvary0c5xw7kw508d6qejxtdg4y5r3zarvary0c5xw7k7grplx");
  print("scriptPubKey: ${address.scriptPubKey}");
  print("version: ${address.version}");
  print("program: ${address.program}");

  Segwit otherAddress = Segwit('bc', 1, [0, 0]);
  print(segwit.encode(otherAddress));

  Segwit yetAnOtherAddress = Segwit('bc', 0, HEX.decode("751e76e8199196d454941c45d1b3a323f1433bd6"));
  print(segwit.encode(yetAnOtherAddress));
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  bech32: ^0.1.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:bech32/bech32.dart';
  
Version Uploaded Documentation Archive
0.1.1 Nov 16, 2018 Go to the documentation of bech32 0.1.1 Download bech32 0.1.1 archive
0.1.0 Nov 14, 2018 Go to the documentation of bech32 0.1.0 Download bech32 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
23
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
62
Learn more about scoring.

We analyzed this package on Dec 5, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.7

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:bech32/bech32.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
convert ^2.0.2 2.0.2
Transitive dependencies
charcode 1.1.2
typed_data 1.1.6
Dev dependencies
hex any
test ^1.3.4